Metadata - Create

メタデータを作成します。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.OperationalInsights/workspaces/{workspaceName}/providers/Microsoft.SecurityInsights/metadata/{metadataName}?api-version=2025-09-01

URI パラメーター

名前 / 必須 説明
metadataName
path True

string

pattern: ^\S+$

メタデータ名。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前は大文字と小文字が区別されます。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

workspaceName
path True

string

minLength: 1
maxLength: 90
pattern: ^[A-Za-z0-9][A-Za-z0-9-]+[A-Za-z0-9]$

ワークスペースの名前。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

要求本文

名前 必須 説明
properties.kind True

string

メタデータの対象となるコンテンツの種類。

properties.parentId True

string

メタデータの対象となるコンテンツ項目の完全な親リソース ID。 これは、スコープ (サブスクリプションとリソース グループ) を含む完全なリソース ID です

etag

string

Azure リソースの Etag

properties.author

metadataAuthor

コンテンツ項目の作成者。

properties.categories

metadataCategories

ソリューション コンテンツ アイテムのカテゴリ

properties.contentId

string

コンテンツの静的 ID。 ソリューションまたはコミュニティからの依存関係とコンテンツを識別するために使用されます。 すぐに使用できるコンテンツとソリューション用のハードコーディング/静的。 ユーザーが作成した動的。 これはリソース名です

properties.contentSchemaVersion

string

コンテンツのスキーマバージョン。 スキーマバージョンに基づいて異なるフローを区別するために使用できます

properties.customVersion

string

コンテンツのカスタムバージョン。 オプションのフリーテキスト

properties.dependencies

metadataDependencies

コンテンツ項目の依存関係、機能するために必要な他のコンテンツ項目。 再帰的/ネストされた構造を使用して、より複雑な依存関係を記述できます。 単一の依存関係の場合、id / kind / versionを指定するか、複雑な形式の演算子/基準を指定できます。

properties.firstPublishDate

string (date)

最初の発行日ソリューション コンテンツ項目

properties.icon

string

アイコン識別子。 この ID は、後でソリューション テンプレートから取得できます

properties.lastPublishDate

string (date)

ソリューション コンテンツ アイテムの最終発行日

properties.previewImages

string[]

画像ファイル名をプレビューします。 これらは、ソリューション アーティファクトから取得されます

properties.previewImagesDark

string[]

画像ファイル名をプレビューします。 これらは、ソリューションのアーティファクトから取得されます。 ダークテーマのサポートに使用されます

properties.providers

string[]

ソリューション コンテンツ項目のプロバイダー

properties.source

metadataSource

コンテンツのソース。 これは、それが作成された場所/方法です。

properties.support

metadataSupport

メタデータのサポート情報 - タイプ、名前、連絡先情報

properties.threatAnalysisTactics

string[]

リソースがカバーする戦術

properties.threatAnalysisTechniques

string[]

リソースがカバーする手法は、使用されている戦術と一致する必要があります

properties.version

string

コンテンツのバージョン。 デフォルトおよび推奨形式は、ARM テンプレートのベスト プラクティスに従って数値 (1、1.0、1.0.0、1.0.0.0 など) です。 任意の文字列にすることもできますが、バージョンチェックを保証することはできません

応答

名前 説明
200 OK

MetadataModel

OK、操作は正常に完了しました

201 Created

MetadataModel

作成済み

Other Status Codes

CloudError

操作が失敗した理由を説明するエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

Create/update full metadata.
Create/update minimal metadata.

Create/update full metadata.

要求のサンプル

PUT https://management.azure.com/subscriptions/d0cfe6b2-9ac0-4464-9919-dccaee2e48c0/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/metadata/metadataName?api-version=2025-09-01

{
  "properties": {
    "contentId": "c00ee137-7475-47c8-9cce-ec6f0f1bedd0",
    "version": "1.0.0.0",
    "kind": "AnalyticsRule",
    "parentId": "/subscriptions/2e1dc338-d04d-4443-b721-037eff4fdcac/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/alertRules/ruleName",
    "source": {
      "kind": "Solution",
      "name": "Contoso Solution 1.0",
      "sourceId": "b688a130-76f4-4a07-bf57-762222a3cadf"
    },
    "author": {
      "name": "User Name",
      "email": "email@microsoft.com"
    },
    "support": {
      "name": "Microsoft",
      "email": "support@microsoft.com",
      "link": "https://support.microsoft.com/",
      "tier": "Partner"
    },
    "dependencies": {
      "operator": "AND",
      "criteria": [
        {
          "operator": "OR",
          "criteria": [
            {
              "contentId": "045d06d0-ee72-4794-aba4-cf5646e4c756",
              "kind": "DataConnector",
              "name": "Microsoft Defender for Endpoint"
            },
            {
              "contentId": "dbfcb2cc-d782-40ef-8d94-fe7af58a6f2d",
              "kind": "DataConnector"
            },
            {
              "contentId": "de4dca9b-eb37-47d6-a56f-b8b06b261593",
              "kind": "DataConnector",
              "version": "2.0"
            }
          ]
        },
        {
          "kind": "Playbook",
          "contentId": "31ee11cc-9989-4de8-b176-5e0ef5c4dbab",
          "version": "1.0"
        },
        {
          "kind": "Parser",
          "contentId": "21ba424a-9438-4444-953a-7059539a7a1b"
        }
      ]
    },
    "categories": {
      "domains": [
        "Application",
        "Security – Insider Threat"
      ],
      "verticals": [
        "Healthcare"
      ]
    },
    "providers": [
      "Amazon",
      "Microsoft"
    ],
    "firstPublishDate": "2021-05-18",
    "lastPublishDate": "2021-05-18",
    "previewImages": [
      "firstImage.png",
      "secondImage.jpeg"
    ],
    "previewImagesDark": [
      "firstImageDark.png",
      "secondImageDark.jpeg"
    ],
    "contentSchemaVersion": "2.0",
    "customVersion": "1.0",
    "threatAnalysisTactics": [
      "reconnaissance",
      "commandandcontrol"
    ],
    "threatAnalysisTechniques": [
      "T1548",
      "T1548.001"
    ]
  }
}

応答のサンプル

{
  "id": "/subscriptions/2e1dc338-d04d-4443-b721-037eff4fdcac/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/metadata/metadataName",
  "name": "metadataName",
  "type": "Microsoft.SecurityInsights/metadata",
  "properties": {
    "contentId": "c00ee137-7475-47c8-9cce-ec6f0f1bedd0",
    "version": "1.0.0.0",
    "kind": "AnalyticsRule",
    "parentId": "/subscriptions/2e1dc338-d04d-4443-b721-037eff4fdcac/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/alertRules/ruleName",
    "source": {
      "kind": "Solution",
      "name": "Contoso Solution 1.0",
      "sourceId": "b688a130-76f4-4a07-bf57-762222a3cadf"
    },
    "author": {
      "name": "User Name",
      "email": "email@microsoft.com"
    },
    "support": {
      "name": "Microsoft",
      "email": "support@microsoft.com",
      "link": "https://support.microsoft.com/",
      "tier": "Partner"
    },
    "dependencies": {
      "operator": "AND",
      "criteria": [
        {
          "operator": "OR",
          "criteria": [
            {
              "contentId": "045d06d0-ee72-4794-aba4-cf5646e4c756",
              "kind": "DataConnector"
            },
            {
              "contentId": "dbfcb2cc-d782-40ef-8d94-fe7af58a6f2d",
              "kind": "DataConnector"
            },
            {
              "contentId": "de4dca9b-eb37-47d6-a56f-b8b06b261593",
              "kind": "DataConnector",
              "version": "2.0"
            }
          ]
        },
        {
          "kind": "Playbook",
          "contentId": "31ee11cc-9989-4de8-b176-5e0ef5c4dbab",
          "version": "1.0"
        },
        {
          "kind": "Parser",
          "contentId": "21ba424a-9438-4444-953a-7059539a7a1b"
        }
      ]
    },
    "categories": {
      "domains": [
        "Application",
        "Security – Insider Threat"
      ],
      "verticals": [
        "Healthcare"
      ]
    },
    "providers": [
      "Amazon",
      "Microsoft"
    ],
    "firstPublishDate": "2021-05-18",
    "lastPublishDate": "2021-05-18",
    "previewImages": [
      "firstImage.png",
      "secondImage.jpeg"
    ],
    "previewImagesDark": [
      "firstImageDark.png",
      "secondImageDark.jpeg"
    ],
    "contentSchemaVersion": "2.0",
    "customVersion": "1.0",
    "threatAnalysisTactics": [
      "reconnaissance",
      "commandandcontrol"
    ],
    "threatAnalysisTechniques": [
      "T1548",
      "T1548.001"
    ]
  }
}
{
  "id": "/subscriptions/2e1dc338-d04d-4443-b721-037eff4fdcac/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/metadata/metadataName",
  "name": "metadataName",
  "type": "Microsoft.SecurityInsights/metadata",
  "properties": {
    "contentId": "c00ee137-7475-47c8-9cce-ec6f0f1bedd0",
    "version": "1.0.0.0",
    "kind": "AnalyticsRule",
    "parentId": "/subscriptions/2e1dc338-d04d-4443-b721-037eff4fdcac/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/alertRules/ruleName",
    "source": {
      "kind": "Solution",
      "name": "Contoso Solution 1.0",
      "sourceId": "b688a130-76f4-4a07-bf57-762222a3cadf"
    },
    "author": {
      "name": "User Name",
      "email": "email@microsoft.com"
    },
    "support": {
      "name": "Microsoft",
      "email": "support@microsoft.com",
      "link": "https://support.microsoft.com/",
      "tier": "Partner"
    },
    "dependencies": {
      "operator": "AND",
      "criteria": [
        {
          "operator": "OR",
          "criteria": [
            {
              "contentId": "045d06d0-ee72-4794-aba4-cf5646e4c756",
              "kind": "DataConnector"
            },
            {
              "contentId": "dbfcb2cc-d782-40ef-8d94-fe7af58a6f2d",
              "kind": "DataConnector"
            },
            {
              "contentId": "de4dca9b-eb37-47d6-a56f-b8b06b261593",
              "kind": "DataConnector",
              "version": "2.0"
            }
          ]
        },
        {
          "kind": "Playbook",
          "contentId": "31ee11cc-9989-4de8-b176-5e0ef5c4dbab",
          "version": "1.0"
        },
        {
          "kind": "Parser",
          "contentId": "21ba424a-9438-4444-953a-7059539a7a1b"
        }
      ]
    },
    "categories": {
      "domains": [
        "Application",
        "Security – Insider Threat"
      ],
      "verticals": [
        "Healthcare"
      ]
    },
    "providers": [
      "Amazon",
      "Microsoft"
    ],
    "firstPublishDate": "2021-05-18",
    "lastPublishDate": "2021-05-18",
    "previewImages": [
      "firstImage.png",
      "secondImage.jpeg"
    ],
    "previewImagesDark": [
      "firstImageDark.png",
      "secondImageDark.jpeg"
    ],
    "contentSchemaVersion": "2.0",
    "customVersion": "1.0",
    "threatAnalysisTactics": [
      "reconnaissance",
      "commandandcontrol"
    ],
    "threatAnalysisTechniques": [
      "T1548",
      "T1548.001"
    ]
  }
}

Create/update minimal metadata.

要求のサンプル

PUT https://management.azure.com/subscriptions/d0cfe6b2-9ac0-4464-9919-dccaee2e48c0/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/metadata/metadataName?api-version=2025-09-01

{
  "properties": {
    "contentId": "c00ee137-7475-47c8-9cce-ec6f0f1bedd0",
    "kind": "AnalyticsRule",
    "parentId": "/subscriptions/2e1dc338-d04d-4443-b721-037eff4fdcac/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/alertRules/ruleName"
  }
}

応答のサンプル

{
  "id": "/subscriptions/2e1dc338-d04d-4443-b721-037eff4fdcac/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/metadata/metadataName",
  "name": "metadataName",
  "type": "Microsoft.SecurityInsights/metadata",
  "properties": {
    "kind": "AnalyticsRule",
    "parentId": "/subscriptions/2e1dc338-d04d-4443-b721-037eff4fdcac/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/alertRules/ruleName"
  }
}
{
  "id": "/subscriptions/2e1dc338-d04d-4443-b721-037eff4fdcac/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/metadata/metadataName",
  "name": "metadataName",
  "type": "Microsoft.SecurityInsights/metadata",
  "properties": {
    "kind": "AnalyticsRule",
    "parentId": "/subscriptions/2e1dc338-d04d-4443-b721-037eff4fdcac/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace/providers/Microsoft.SecurityInsights/alertRules/ruleName"
  }
}

定義

名前 説明
CloudError

エラー応答構造。

CloudErrorBody

エラーの詳細。

createdByType

リソースを作成した ID の種類。

metadataAuthor

コンテンツ項目の発行元または作成者。

metadataCategories

ソリューション コンテンツ項目の ies

metadataDependencies

コンテンツ項目の依存関係、機能するために必要な他のコンテンツ項目。 再帰的/ネストされた構造を使用して、より複雑な依存関係を記述できます。 単一の依存関係の場合、id / kind / versionを指定するか、複雑な依存関係の演算子/基準を指定できます。

MetadataModel

メタデータ・リソース定義。

metadataSource

コンテンツ項目の元のソース、その元。

metadataSupport

コンテンツ項目のサポート情報。

operator

基準配列の依存関係のリストに使用される演算子。

sourceKind

コンテンツのソースタイプ

supportTier

コンテンツ項目のサポートの種類

systemData

リソースの作成と最後の変更に関連するメタデータ。

CloudError

エラー応答構造。

名前 説明
error

CloudErrorBody

エラーデータ

CloudErrorBody

エラーの詳細。

名前 説明
code

string

エラーの識別子。 コードは不変であり、プログラムで使用することを目的としています。

message

string

ユーザー インターフェイスでの表示に適したエラーを説明するメッセージ。

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

metadataAuthor

コンテンツ項目の発行元または作成者。

名前 説明
email

string

著者の連絡先の電子メール

link

string

作成者/ベンダー ページのリンク

name

string

著者の名前。 会社または個人。

metadataCategories

ソリューション コンテンツ項目の ies

名前 説明
domains

string[]

ソリューション コンテンツ アイテムのドメイン

verticals

string[]

ソリューション コンテンツ項目の業種

metadataDependencies

コンテンツ項目の依存関係、機能するために必要な他のコンテンツ項目。 再帰的/ネストされた構造を使用して、より複雑な依存関係を記述できます。 単一の依存関係の場合、id / kind / versionを指定するか、複雑な依存関係の演算子/基準を指定できます。

名前 説明
contentId

string

依存するコンテンツ項目の ID

criteria

metadataDependencies[]

これは、AND/OR 演算子に従って満たす必要がある依存関係のリストです

kind

string

依存するコンテンツ項目のタイプ

name

string

コンテンツ項目の名前

operator

operator

基準配列の依存関係のリストに使用される演算子。

version

string

依存するコンテンツ項目のバージョン。 空白、*、または欠落して、任意のバージョンが依存関係を満たすことを示すことができます。 バージョンが定義した数値形式と一致しない場合は、完全に一致する必要があります。

MetadataModel

メタデータ・リソース定義。

名前 説明
etag

string

Azure リソースの Etag

id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

リソースの名前

properties.author

metadataAuthor

コンテンツ項目の作成者。

properties.categories

metadataCategories

ソリューション コンテンツ アイテムのカテゴリ

properties.contentId

string

コンテンツの静的 ID。 ソリューションまたはコミュニティからの依存関係とコンテンツを識別するために使用されます。 すぐに使用できるコンテンツとソリューション用のハードコーディング/静的。 ユーザーが作成した動的。 これはリソース名です

properties.contentSchemaVersion

string

コンテンツのスキーマバージョン。 スキーマバージョンに基づいて異なるフローを区別するために使用できます

properties.customVersion

string

コンテンツのカスタムバージョン。 オプションのフリーテキスト

properties.dependencies

metadataDependencies

コンテンツ項目の依存関係、機能するために必要な他のコンテンツ項目。 再帰的/ネストされた構造を使用して、より複雑な依存関係を記述できます。 単一の依存関係の場合、id / kind / versionを指定するか、複雑な形式の演算子/基準を指定できます。

properties.firstPublishDate

string (date)

最初の発行日ソリューション コンテンツ項目

properties.icon

string

アイコン識別子。 この ID は、後でソリューション テンプレートから取得できます

properties.kind

string

メタデータの対象となるコンテンツの種類。

properties.lastPublishDate

string (date)

ソリューション コンテンツ アイテムの最終発行日

properties.parentId

string

メタデータの対象となるコンテンツ項目の完全な親リソース ID。 これは、スコープ (サブスクリプションとリソース グループ) を含む完全なリソース ID です

properties.previewImages

string[]

画像ファイル名をプレビューします。 これらは、ソリューション アーティファクトから取得されます

properties.previewImagesDark

string[]

画像ファイル名をプレビューします。 これらは、ソリューションのアーティファクトから取得されます。 ダークテーマのサポートに使用されます

properties.providers

string[]

ソリューション コンテンツ項目のプロバイダー

properties.source

metadataSource

コンテンツのソース。 これは、それが作成された場所/方法です。

properties.support

metadataSupport

メタデータのサポート情報 - タイプ、名前、連絡先情報

properties.threatAnalysisTactics

string[]

リソースがカバーする戦術

properties.threatAnalysisTechniques

string[]

リソースがカバーする手法は、使用されている戦術と一致する必要があります

properties.version

string

コンテンツのバージョン。 デフォルトおよび推奨形式は、ARM テンプレートのベスト プラクティスに従って数値 (1、1.0、1.0.0、1.0.0.0 など) です。 任意の文字列にすることもできますが、バージョンチェックを保証することはできません

systemData

systemData

createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。

type

string

リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"

metadataSource

コンテンツ項目の元のソース、その元。

名前 説明
kind

sourceKind

コンテンツのソースタイプ

name

string

コンテンツソースの名前。 リポジトリ名、ソリューション名、LA ワークスペース名など。

sourceId

string

コンテンツソースの ID。 ソリューション ID、ワークスペース ID など

metadataSupport

コンテンツ項目のサポート情報。

名前 説明
email

string

サポート連絡先の電子メール

link

string

サポートヘルプのリンク、チケットを開くためのサポートページなど。

name

string

サポート連絡先の名前。 会社または個人。

tier

supportTier

コンテンツ項目のサポートの種類

operator

基準配列の依存関係のリストに使用される演算子。

説明
AND
OR

sourceKind

コンテンツのソースタイプ

説明
LocalWorkspace
Community
Solution
SourceRepository

supportTier

コンテンツ項目のサポートの種類

説明
Microsoft
Partner
Community

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。